Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

P3 Firmware Updating Phantom 3 Professional V 1.05 from V1.02

Discussion in 'Firmware' started by Bennaman, Dec 15, 2015.

  1. Bennaman

    Joined:
    Dec 13, 2015
    Messages:
    3
    Likes Received:
    0
    On purchase my P3 Pro was fitted with V1.2.6 and flew successfully for many hours. I decided I needed to increase the SD card to 64 gig. At the same time I decided to upgrade to V1.500.3 as I needed the waypoint facility.
    So, CLEVER ME!.... tried to do that. I took out the supplied 16Gig card with V1.2.6 on it and inserted the 64gig card and put V1.5 onto it.
    Now I am in all sorts of trouble and suspect I was too ambitious and should have gone from V1.2 to V1.3 to V1.4 before attempting to install V1.5.
    I am being prompted on the app camera view to upgrade to V1.3.2. I am getting IMU error recalibrate message and another which says "gyroscope bias too high. Restart the aircraft... if it persists contact DJI support if the error persists. Restarting the aircraft does not make it go away.
    Can anybody shine some light on (a) the problem and (b) what steps I have to go through to get me back flying again using V1.5. I still have the original SD card with the V 1.2 on it but fear to try and go back to that without expert advice.
    Thank you.